Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Updates the properties of a customer return reason object for Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH businesscentralPrefix/companies({id})/customerReturnReasons({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
| If-Match | Required. When this request header is included and the eTag provided doesn't match the current tag on the customerReturnReason, the customer return reason won't be updated. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Response
If successful, this method returns a 200 OK response code and an updated customerReturnReason object in the response body.
Example
Request
Here's an example of the request.
PATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons({id})
Content-type: application/json
{
"description": "Wrong item variant"
}
Response
Here's an example of the response.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "6ea22bf6-a449-ee11-ad0b-a1422c0f7f1f",
"code": "VARIANT",
"description": "Wrong item variant"
}
Related information
Tips for working with the APIs
customerReturnReason
GET customerReturnReason
DELETE customerReturnReason
POST customerReturnReason